/*
 * dma.h
 *
 * Created: 23.09.2018 17:05:57
 *  Author: Thomas F
 */ 


#ifndef DMA_H_
#define DMA_H_

#include "sam.h"

typedef struct __attribute__((packed, aligned(16))) {
	
	DmacDescriptor C0D1;	// Channel 0 PORT set Descriptor
	DmacDescriptor C1D1;	// Channel 1 PORT clr Low Descriptor
	DmacDescriptor C2D1;	// Channel 2 PORT clr high Descriptor

	DmacDescriptor C0WB[3];	// Write-Back

} DmacDescriptors_t, *pDmacDescriptors_t;



void DmaInit(void);


#endif /* DMA_H_ */