/*
 * HSV2RGB.h
 *
 * Created: 19.11.2016 10:22:16
 *  Author: Thomas F
 */ 



#ifndef HSV2RGB_H_
#define HSV2RGB_H_

#include "sam.h"



typedef struct __attribute__((packed, aligned(1))) {
	uint8_t H;
	uint8_t S;
	uint8_t V;
} HSV_t, *pHSV_t;

typedef struct  __attribute__((packed, aligned(1))) {
	uint8_t Red;
	uint8_t Green;
	uint8_t Blue;
} RGB_t, *pRGB_t;

typedef struct  __attribute__((packed, aligned(1))) {
	uint8_t Global;
	uint8_t Blue;
	uint8_t Green;
	uint8_t Red;
} APA102GBGR_t, *pAPA102GBGR_t;



void HSV2RGB(pHSV_t, pRGB_t);
void HSV2APA102cGBGR(pHSV_t, pAPA102GBGR_t);



#endif /* HSV2RGB_H_ */